Bug 740011 - Repository doesn't honor checksum_type
Summary: Repository doesn't honor checksum_type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA
Version: 2.0.1
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Todd Sanders
QA Contact: mkovacik
URL:
Whiteboard:
Depends On:
Blocks: tracker-rhui-2.0.1
TreeView+ depends on / blocked
 
Reported: 2011-09-20 17:02 UTC by Jay Dobies
Modified: 2017-03-01 22:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Do not document
Clone Of:
Environment:
Last Closed: 2017-03-01 22:06:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0367 normal SHIPPED_LIVE Red Hat Update Infrastructure 3.0 Release 2017-03-02 03:05:22 UTC

Description Jay Dobies 2011-09-20 17:02:31 UTC
Filed in Pulp as 740010. This also needs to be fixed in the rhui branch.

Comment 1 wes hayutin 2011-10-03 22:10:28 UTC
please add more details or a test plan when this is fixed.. thanks!

Comment 2 wes hayutin 2011-10-03 22:12:21 UTC
nvrmind..
https://bugzilla.redhat.com/show_bug.cgi?id=740010

in pulp.. the verification was as follows..
[root@katello-test ~]# rpm -q pulp
pulp-0.0.233-1.el6.noarch
[root@katello-test ~]# 

[root@katello-test ~]# pulp-admin repo create --id=foo12345
--checksum_type=sha1
Successfully created repository [ foo12345 ]

[root@katello-test ~]#  cat /var/lib/pulp/repos/foo12345/repodata/repomd.xml
|grep type
  <data type="other_db">
    <checksum type="sha1">9e25c5da09d913a5a2ec8fd7d6143bb83ce1d876</checksum>
    <open-checksum
type="sha1">0d4dc9aed0e151354f778b6b48f8ec55a6ef53cf</open-checksum>
  <data type="other">
    <checksum type="sha1">ded9c108d1005d077ae6d79a14eebbc81063286b</checksum>
    <open-checksum
type="sha1">672a396261e07818e0594d56e9c31832320a355c</open-checksum>
  <data type="filelists_db">
    <checksum type="sha1">57e6977be9167945835f17672f76907d69b4711e</checksum>
    <open-checksum
type="sha1">1650488ad550e065d1798048964f35da41e44b5b</open-checksum>
  <data type="filelists">
    <checksum type="sha1">994e7bbc878f751cd7c57050aebe1a957f3081a8</checksum>
    <open-checksum
type="sha1">fc538a9a01c87202118de7718863e43aef4b8f0f</open-checksum>
  <data type="primary_db">
    <checksum type="sha1">dd1adbae68a58863908b9f37593b657382994655</checksum>
    <open-checksum
type="sha1">3795b62ef528813bf92f1959bbe9d46458096def</open-checksum>
  <data type="primary">
    <checksum type="sha1">57481448dd03102e2c741522a5b310ab019b43e3</checksum>
    <open-checksum
type="sha1">623cb93e72dc46813e3a26a9e3d4436ea8752d06</open-checksum>
[root@katello-test ~]#

Comment 3 Pradeep Kilambi 2011-10-06 14:15:12 UTC
fix for this is already cherry picked into rhui branch and verified in pulp 740010 .. moving this to modified

Comment 4 wes hayutin 2011-10-17 20:01:39 UTC
set tracker bug. 746803

Comment 5 Sachin Ghai 2011-10-19 07:02:47 UTC
Verified with latest RHUI ISO:

RHEL-6.1-RHUI-2.0.1-20111017.0-Server-x86_64-DVD1.iso

Correct checksum_type is set for newly created repos. Please see the results below:


Created a repo with sha256 algo:
====================================
Display name for the custom repository [custom_repo]:
cus001

Path at which the repository will be served [custom_repo]:
/custom/x86_64/

Algorithm to use when calculating the checksum values for repository metadata:
  1  - sha256
  2  - sha1
Enter value (1-2) or 'b' to abort: 1

Should the repository require an entitlement certificate to access? (y/n)
y

Based on the repository's relative path, the suggested entitlement path is:
  /custom/$basearch/

Path that should be used when granting an entitlement for this repository. This
may use yum variable substitutions (e.g. $basearch) to group this together with
other repositories that share the entitlement [/custom/$basearch/]:


The following repository will be created:
  ID:          custom_repo
  Name:        cus001
  Path:        /custom/x86_64/
  Entitlement: /custom/$basearch/
Proceed? (y/n) y

Successfully created repository cus001

------------------------------------------------------------------------------
rhui (repo) =>



[root@dhcp201-152 x86_64]# cd repodata/
[root@dhcp201-152 repodata]# ls
filelists.sqlite.bz2  filelists.xml.gz  other.sqlite.bz2  other.xml.gz 
primary.sqlite.bz2  primary.xml.gz  repomd.xml
[root@dhcp201-152 repodata]# cat repomd.xml | grep checksum
    <checksum
type="sha256">571c382f4d4fe43adccda4a5398bb92f5a27058a4f0539d2ccadf9aaf079b479</checksum>
    <open-checksum
type="sha256">85956fbf28fd63dec440a2e898c82ce1121ab6c05f47a4c5d250ca2688db7f93</open-checksum>
    <checksum
type="sha256">559a70c77161daf337f07d801820ea1a4de1709f8b5d3e7c24eddc4eca3ec9d6</checksum>
    <open-checksum
type="sha256">ad217e2e644efe2e6566843455247e0fb6b04894d4920b3fc7209d1748dc15dc</open-checksum>
    <checksum
type="sha256">68d8af8ab7ef8786161560e6111ee93c170b9b79df98bff167530f0bcf264458</checksum>
    <open-checksum
type="sha256">941a4505a76e549000c48e2dcac93defcdb441bbe28e7622dfc28baaf5425f9b</open-checksum>
    <checksum
type="sha256">7b7c36a9cba42cf753053887e0a55dfd0a82625476ad99966af1b38ae21b841d</checksum>
    <open-checksum
type="sha256">664aa505c892d804383cd529dd2cf06e93e48989ef4c4377d7335f49fdd52522</open-checksum>
    <checksum
type="sha256">e03e516c157b7eff0b5f81275271d279c2dc934bbbde032dc56cb8d30462859e</checksum>
    <open-checksum
type="sha256">49b032603defd44b9604dadc1ced545624970197d7efb0afee5efb045582af56</open-checksum>
    <checksum
type="sha256">8ac5c8cd687ab1d2a07d9df088eeb0f7c8a4916110f804caf1871f46e0386ac2</checksum>
    <open-checksum
type="sha256">9a6bca81d87bc2e9e595c914286673a8637487bca4aec4e92decb0f4ad56e982</open-checksum>
[root@dhcp201-152 repodata]#

Comment 6 Sachin Ghai 2011-10-19 07:04:06 UTC
Custom repo created with sha1 algo:
===================================

------------------------------------------------------------------------------
rhui (repo) => c

Unique ID for the custom repository (alphanumerics, _, and - only):
custom_sha1

Display name for the custom repository [custom_sha1]:
cus_sha1

Path at which the repository will be served [custom_sha1]:
/custom/x86_64

Algorithm to use when calculating the checksum values for repository metadata:
  1  - sha256
  2  - sha1
Enter value (1-2) or 'b' to abort: 2

Should the repository require an entitlement certificate to access? (y/n)
y

Based on the repository's relative path, the suggested entitlement path is:
  /custom/$basearch




Moving this to verified. since checksum_type is properly set now.
Path that should be used when granting an entitlement for this repository. This
may use yum variable substitutions (e.g. $basearch) to group this together with
other repositories that share the entitlement [/custom/$basearch]:


The following repository will be created:
  ID:          custom_sha1
  Name:        cus_sha1
  Path:        /custom/x86_64
  Entitlement: /custom/$basearch
Proceed? (y/n) y

Successfully created repository cus_sha1

------------------------------------------------------------------------------
rhui (repo) => 


verified the checksum type in repomd.xml:
=========================================

rhui (repo) => exit
[root@dhcp201-152 repos]# cd /var/lib/pulp/repos/custom/
[root@dhcp201-152 custom]# ls
x86_64
[root@dhcp201-152 custom]# cd x86_64/
[root@dhcp201-152 x86_64]# ls
gofer-0.25-1.el6.noarch.rpm           pulp-common-0.0.156-1.el6.noarch.rpm    
qpid-cpp-client-0.10-1.el6.x86_64.rpm        repodata
grinder-0.0.88-1.el6.noarch.rpm       python-gofer-0.25-1.el6.noarch.rpm      
qpid-cpp-client-ssl-0.10-1.el6.x86_64.rpm    ruby-gofer-0.25-1.el6.noarch.rpm
pulp-0.0.156-1.el6.noarch.rpm         python-oauth2-1.2.1-3.el6.noarch.rpm    
qpid-cpp-server-0.10-1.el6.x86_64.rpm
pulp-cds-0.0.156-1.el6.noarch.rpm     python-qpid-0.7.946106-1.el6.noarch.rpm 
qpid-cpp-server-ssl-0.10-1.el6.x86_64.rpm
pulp-client-0.0.156-1.el6.noarch.rpm  python-webpy-0.32-8.el6.noarch.rpm      
qpid-cpp-server-store-0.10-1.el6.x86_64.rpm
[root@dhcp201-152 x86_64]# cd repodata/
[root@dhcp201-152 repodata]# cat repomd.xml | grep checksum
    <checksum type="sha1">252c7e348b9f3150f4e46b254529ba9f436d9c59</checksum>
    <open-checksum
type="sha1">e3ea120da5f05a6061a6403aec2711a03cb3748c</open-checksum>
    <checksum type="sha1">c90fda6db64fe29c414e35718b06c03c9be718fb</checksum>
    <open-checksum
type="sha1">fc6a60d7a4bd0de27863af702db373e5eb94eb18</open-checksum>
    <checksum type="sha1">ae7af817306d8d5cd62ae1febd5a5da973e76345</checksum>
    <open-checksum
type="sha1">7d72fa404eb64dbfb1efb35ecac7cb81f60f3211</open-checksum>
    <checksum type="sha1">a8dc2cbbf5a16f7202d6d4b3218daab66919e613</checksum>
    <open-checksum
type="sha1">7606f0ac1eec304c58270363816f779c3734446b</open-checksum>
    <checksum type="sha1">1cff7d74be3a85b1dca06eed426ffc65322d52cf</checksum>
    <open-checksum
type="sha1">4540fc9f3c58c2cf8c29cf6752d7bef1ef322e3f</open-checksum>
    <checksum type="sha1">00305ea192b97d1e2814ea549421efce80ccaa85</checksum>
    <open-checksum
type="sha1">55e4dc67fa88eac0208cb6c4d9cc16716db7cebe</open-checksum>
[root@dhcp201-152 repodata]#

Comment 7 James Slagle 2011-10-31 19:16:33 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Do not document

Comment 96 errata-xmlrpc 2017-03-01 22:06:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0367


Note You need to log in before you can comment on or make changes to this bug.